summaryrefslogtreecommitdiff
path: root/debian/postinst
diff options
context:
space:
mode:
authorChristian Pointner <equinox@helsinki.at>2011-04-19 14:37:42 (GMT)
committerChristian Pointner <equinox@helsinki.at>2011-04-19 14:37:42 (GMT)
commit6acaf4d7f6969002ab30f049ea7af4afc84ab8d9 (patch)
treeb3e5cd630bd0a88d659b12a66e2f6be8aa2f7073 /debian/postinst
parent9a74b857f449d9a2ac8cca76872a0ad69aec40f4 (diff)
inital debian packages
Diffstat (limited to 'debian/postinst')
-rw-r--r--debian/postinst12
1 files changed, 12 insertions, 0 deletions
diff --git a/debian/postinst b/debian/postinst
new file mode 100644
index 0000000..702b771
--- /dev/null
+++ b/debian/postinst
@@ -0,0 +1,12 @@
+#!/bin/sh
+# postinst script for rharchive
+
+set -e
+
+if [ -x "/etc/init.d/rharchive" ]; then
+ update-rc.d rharchive defaults >/dev/null
+fi
+
+if [ "$1" = "configure" ]; then
+ adduser --quiet --system --group --no-create-home --home /var/run/rharchive rharchive
+fi